# Class TaskThread

java.lang.Object
java.lang.Thread
org.apache.tomcat.util.threads.TaskThread

All Implemented Interfaces:
  `Runnable`

public class TaskThread extends Thread
A Thread implementation that records the time at which it was created.

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`Thread.Builder, Thread.State, Thread.UncaughtExceptionHandler`

## Field Summary

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

## Constructor Summary

Constructors
Constructor
Description
`TaskThread(ThreadGroup group, Runnable target, String name)`
`TaskThread(ThreadGroup group, Runnable target, String name, long stackSize)`

## Method Summary

Modifier and Type
Method
Description
`final long`
`getCreationTime()`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, isVirtual, join, join, join, join, ofPlatform, ofVirtual, onSpinWait, run, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, sleep, start, startVirtualThread, stop, threadId, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TaskThread

public TaskThread(ThreadGroup group, Runnable target, String name)

### TaskThread

public TaskThread(ThreadGroup group, Runnable target, String name, long stackSize)

## Method Details

### getCreationTime

public final long getCreationTime()

Returns:
  the time (in ms) at which this thread was created